# $Revision: 1.10 $, $Date: 2004/12/25 18:13:30 $
%define		zope_subname	TranslationService
Summary:	A placeful translation service for Zope
Summary(pl):	rodowisko dla tumacze jzykowych dla Zope
Name:		Zope-%{zope_subname}
Version:	0.4
Release:	6
License:	GPL v2
Group:		Development/Tools
Source0:	http://www.zope.org/Members/efge/%{zope_subname}/%{zope_subname}-%{version}.tgz
# Source0-md5:	b1399f80dc71ea8a54f4c6dc179c12dd
URL:		http://www.zope.org/Members/efge/TranslationService
%pyrequires_eq	python-modules
Requires:	Zope
Requires:	Zope-Localizer
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TranslationService is a placeful translation service for Zope.

%description -l pl
TranslationService jest rodowiskiem dla tumacze jzykowych dla
Zope.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {zmi,*.py,*.gif,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc HISTORY.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-TranslationService.spec,v $
Revision 1.10  2004/12/25 18:13:30  saq
- release 6 for rebuild with python 2.4

Revision 1.9  2004/10/30 11:21:15  paladine
- spaces->tabs

Revision 1.8  2004/08/10 19:34:36  ciesiel
- up rel. for build

Revision 1.7  2004/07/28 08:03:22  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.6  2003/11/27 20:41:06  ciesiel
- added orphan file

Revision 1.5  2003/11/17 12:29:34  ciesiel
- install into new dir. (datadir)
- installzopeproduct
- cleaning

Revision 1.4  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.3  2003/09/27 17:45:03  ciesiel
- .py needed by packages

Revision 1.2  2003/08/22 14:09:34  qboosh
- cleanups

Revision 1.1  2003/08/03 09:39:10  ciesiel
- initial release
